Are you viewing the right article?

This article refers to Digital Publishing Suite. For the AEM Mobile article, see Installation and setup.

The Adobe Digital Publishing Suite is available for InDesign CS6, CC, and CC 2014. The DPS tools are not available for InDesign CC 2015 and later. To install the full set of tools, run the DPS Desktop Tools installer by choosing Help > Updates in InDesign.

The Desktop Viewer is no longer supported. We recommend that you use mobile devices for previewing.

If you experience problems installing the tools, see "Common installation issues" later in this article.

Note:

With the v32 release in September 2014, DPS no longer supports InDesign CS5 and InDesign CS5.5. InDesign CS6 or later is required.

Installation links

InDesign CC/CS6

CC/CS6 DPS Desktop Tools (Windows)

CC/CS6 DPS Desktop Tools (Mac OS)

 

DPS App Builder (Mac OSX 10.7 or later only)

DPS App Builder

Installing the DPS Desktop Tools

  • In InDesign, choose Help > Updates, and update DPS Desktop Tools.

    The DPS Desktop Tools installer installs the Folio Overlays panel, the Folio Builder panel, a required InDesign plugin, DPS App Builder, and the Desktop Viewer. (The Desktop Viewer is no longer recommended as an accurate preview tool. Instead, use on-device preview.)

    Note:

    Whenever a new version is released, it can take a few days for the newest installer to be included in the InDesign Updates installer. During this period, you can update the DPS Desktop Tools by downloading and running the most current installer using the above links.

Installing the Adobe Content Viewer on a mobile device

If you have an iPad, an iPhone, an Android tablet, a Kindle Fire, or a Windows device that runs 8.1 or later, install the most current version of the Adobe Content Viewer from the store. In the store, search for “Adobe Content Viewer.”

Updating the DPS Desktop Tools

Whenever a new set of tools is released, choose Help > Updates in InDesign and update the DPS Desktop Tools.

Determining the version of the installed tools

Choose About from the Folio Builder panel menu in InDesign, and note the last two digits.

Version
In this example, the v32 tools are installed.

Common installation issues

Adobe Content Viewer for the Desktop fails to work

The Adobe AIR v20 release requires 64-bit applications on the Mac OS X. This is preventing the Adobe Content Viewer for Desktop to run on Mac OS X when AIR v20 is installed. A "The required native extension for this application is missing" error message appears.

The DPS team does not plan to update the Adobe Content Viewer for Desktop (desktop preview tool) for previewing DPS content in InDesign. We recommend that you use on-device preview for a more accurate previewing experience.

 

"Please update your app" error message

When customers attempt to download new folios in your branded viewer app, the following message appears: "Please update your app. This issue is available for download, but requires a newer version of the app."

If customers are getting this error, the viewer version of the folio is higher than the viewer version of the app. To fix this problem, either publish the folio using an older viewer version that is compatible with your app, or submit a new version of your app to the store.

For details, see this article: http://helpx.adobe.com/digital-publishing-suite/kb/please-update-app-download-folio.html

"This version of DPS App Builder has expired" error message

This message appears when you're trying to use an older version of DPS App Builder when a newer version is available. The solution is to install a new version of DPS App Builder.

However, in some instances, this message continues to appear after you've re-installed DPS App Builder. First, make sure that you are using Mac OSX 10.7 or later; Mac OSX 10.6.8 is no longer supported. Also, make sure that you clean the cache in your web browser before downloading the newest version of DPS App Builder. In some instances, the browser cache leads to an older version of the installer to be downloaded.

"You do not have a compatible Digital Publishing Plug-in" error message

After updating your Folio Producer tools, this error message tells you to download the Folio Producer tools, but you have the most current Folio Producer tools and panel. This problem sometimes occur when there is a problem with the PlugInConfig.txt file. Moving or deleting this file usually resolves this issue. For details, see this tech note: http://helpx.adobe.com/digital-publishing-suite/kb/error-do-have-compatible-digital.html

Uninstalling the digital publishing tools

To uninstall the Folio Producer tools for InDesign CS5 and CS5.5, do either of the following:

  • In Windows, use the Control Panel (Add/Remove Programs) to uninstall the tools.

  • In Mac OS, use the uninstaller located in Applications > Utilities > Adobe Installers.

In InDesign CC/CS6, the digital publishing tools are integrated with InDesign. You can remove the DPS tools only by uninstalling InDesign.

This work is licensed under a Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License  Twitter™ and Facebook posts are not covered under the terms of Creative Commons.

Legal Notices   |   Online Privacy Policy